import { h } from '../edel-elements.core.js';

class EdelFormComponent {
    constructor() {
        this.grid = false;
        this.spaced = false;
    }
    render() {
        return (h("form", { class: this.getClasses() },
            h("slot", null)));
    }
    hostData() {
        return {
            class: 'data-form'
        };
    }
    getClasses() {
        return {
            'data-form--grid': this.grid,
            'data-form--spaced': this.spaced
        };
    }
    static get is() { return "edel-data-form"; }
    static get properties() { return {
        "grid": {
            "type": Boolean,
            "attr": "grid"
        },
        "hostElement": {
            "elementRef": true
        },
        "spaced": {
            "type": Boolean,
            "attr": "spaced"
        }
    }; }
}

export { EdelFormComponent as EdelDataForm };
